Saved Explorations
Versioned, governed analytical exploration lifecycle.
Operations
Each operation lists its specific responses. See Common error responses for errors shared by every operation on this page.
List saved explorations
GET /api/v1/projects/{project}/saved-explorations
Operation ID: listSavedExplorations
Effect: read
Confirmation: never
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
includeArchived |
query | No | boolean | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Create a saved exploration
POST /api/v1/projects/{project}/saved-explorations
Operation ID: createSavedExploration
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
Export canonical URL exploration state
POST /api/v1/projects/{project}/saved-explorations/url-export
Operation ID: exportSavedExplorationURL
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Get a saved exploration working copy
GET /api/v1/projects/{project}/saved-explorations/{exploration}
Operation ID: getSavedExploration
Effect: read
Confirmation: never
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
exploration |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Update a saved exploration
PATCH /api/v1/projects/{project}/saved-explorations/{exploration}
Operation ID: updateSavedExploration
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
exploration |
path | Yes | string | |
Idempotency-Key |
header | Yes | string | |
If-Match |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Archive a saved exploration
POST /api/v1/projects/{project}/saved-explorations/{exploration}/archive
Operation ID: archiveSavedExploration
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
exploration |
path | Yes | string | |
Idempotency-Key |
header | Yes | string | |
If-Match |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Duplicate a saved exploration
POST /api/v1/projects/{project}/saved-explorations/{exploration}/duplicate
Operation ID: duplicateSavedExploration
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
exploration |
path | Yes | string | |
Idempotency-Key |
header | Yes | string | |
If-Match |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
Export a saved exploration revision
POST /api/v1/projects/{project}/saved-explorations/{exploration}/export
Operation ID: exportSavedExploration
Effect: write
Confirmation: conditional
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
exploration |
path | Yes | string | |
If-Match |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Common error responses
These error responses apply to every operation on this page.
| Status | Description |
|---|---|
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
412 |
Precondition failed. |
413 |
Client error |
415 |
Client error |
422 |
Client error |
429 |
Client error |
500 |
Server error |
502 |
Server error |
503 |
Service unavailable. |